Subject: Re: Git attributes are read from head branch instead of given branch when using git archive

From: Brandon Williams <[email-masked]>
Date: Thu, 9 Mar 2017 13:45:45 -0800

On 03/09, Aalex Gabi wrote:
> Hello,
> 
> git archive --remote="URL" branchname > branchname.tar.gz is not
> reading .gitattributes file from the given branch but from HEAD. More
> specifically export-ignore lines in the target branch are ignored.
> 
> The remote is using git protocol and it's served by Gitlab. I use git
> version 2.11.0.
> 
> Is this a git issue? In that case is this a bug or a known limitation?
> 
> Best regards,
> Aalex Gabi

Could you provide a little more context with the problem you are having?
When you say HEAD are you referring to the server's HEAD?

When testing this locally (with a relative URL) I can't seem to
reproduce what you are describing.  If you could provide a way to
reproduce this I would be able to more easily diagnose the problem.

-- 
Brandon Williams